﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebHierarchicalDataGrid1.DataSource = populateDataSet();
        WebHierarchicalDataGrid1.GroupingSettings.GroupedColumns.Add("Name");
    }

    private DataSet populateDataSet()
    {
        DataSet ds = new DataSet();
        DataTable Parent = new DataTable();
        Parent.TableName = "Parent";

        Parent.Columns.Add("ID");
        Parent.Columns.Add("Name");
        Parent.Columns.Add("Number");
        Parent.Columns["Number"].DataType = System.Type.GetType("System.Int32");

        DataColumn[] col = new DataColumn[1];
        col[0] = Parent.Columns["ID"];
        Parent.PrimaryKey = col;

        DataRow row = Parent.NewRow();
        row.SetField<int>("ID", 0);
        row.SetField<string>("Name", "John");
        row.SetField<int>("Number", 10);
        Parent.Rows.Add(row);

        row = Parent.NewRow();
        row.SetField<int>("ID", 1);
        row.SetField<String>("Name", "Vinnie");
        row.SetField<int>("Number", 15);
        Parent.Rows.Add(row);

        row = Parent.NewRow();
        row.SetField<int>("ID", 2);
        row.SetField<String>("Name", "John");
        row.SetField<int>("Number", 25);
        Parent.Rows.Add(row);

        row = Parent.NewRow();
        row.SetField<int>("ID", 3);
        row.SetField<String>("Name", "Vinnie");
        row.SetField<int>("Number", 5);
        Parent.Rows.Add(row);

        ds.Tables.Add(Parent);
        return ds;
    }
}